Summary: tftp client
Name:    tftp-hpa
Version: 0.41
Release: 1tr
Group: Trustix Official
Source:  ftp://ftp.kernel.org/pub/software/network/tftp/tftp-hpa-%{version}.tar.bz2
Source1: tftpd-hpa.xinitdd
Source2: tftpd-hpa.initdd
Source3: tftpd-hpa.sysconfig
Patch0: tftp-hpa-0.40-octetdefault.patch
PreReq: chkconfig /sbin/restart_maybe /usr/sbin/groupadd /usr/sbin/useradd
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is tftp-hpa, a conglomerate of a number of versions of the BSD
TFTP code, changed around to port to a whole collection of operating
systems.  The goal is to work on any reasonably modern Unix with
sockets.

This package contains the tftp client only.

%package -n tftpd-hpa
Summary: tftp server
Group: Trustix Official
Requires: xinetd
Provides: iputils-tftpd
Obsoletes: iputils-tftpd

%description -n tftpd-hpa
This is tftp-hpa, a conglomerate of a number of versions of the BSD
TFTP code, changed around to port to a whole collection of operating
systems.  The goal is to work on any reasonably modern Unix with
sockets.

This package contains the tftp server.


%prep
%setup -q
%patch0 -p1

%build
./configure MANDIR=%{_mandir} BINDIR=%{_bindir} SBINDIR=%{_sbindir}
CFLAGS="$RPM_OPT_FLAGS" make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make MANDIR=%{_mandir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} \
     INSTALLROOT=$RPM_BUILD_ROOT install

mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/{xinetd.d,init.d,sysconfig}
install -c %{SOURCE1}        ${RPM_BUILD_ROOT}/%{_sysconfdir}/xinetd.d/tftpd
install -c %{SOURCE2}        ${RPM_BUILD_ROOT}/%{_sysconfdir}/init.d/tftpd
install -c %{SOURCE3}        ${RPM_BUILD_ROOT}/%{_sysconfdir}/sysconfig/tftpd


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%pre -n tftpd-hpa
if [ -z "`getent group tftpd`" ] ; then
        /usr/sbin/groupadd -g 112 tftpd
fi
if [ -z "`getent passwd tftpd`" ] ; then
        /usr/sbin/useradd -M -d /tftpboot -g tftpd -s /bin/false -u 112 tftpd
fi
 
%post -n tftpd-hpa
# create /tftpboot if it does not exist
if [ ! -d /tftpboot ] ; then
	install -d -o tftpd -g tftpd -m 555 /tftpboot
fi
chkconfig --add tftpd
if [ "$1" = 2 ]; then
	# Restart service after upgrade.
	/sbin/restart_maybe tftpd
fi

%files
%defattr(-,root,root,0755)
%doc CHANGES README
%{_bindir}/tftp
%{_mandir}/man1/tftp.1*

%files -n tftpd-hpa
%defattr(-,root,root,0755)
%doc README.security
%config(noreplace) %{_sysconfdir}/xinetd.d/tftpd
%config(noreplace) %{_sysconfdir}/sysconfig/tftpd
%{_sysconfdir}/init.d/tftpd
%{_sbindir}/in.tftpd
%{_mandir}/man8/in.tftpd.8*
%{_mandir}/man8/tftpd.8*

%changelog
* Mon Nov 21 2005 Bipin S <bipin at trustix dot org> 0.41-1tr
- New upstream, specfile cleanup proposed by Olaf Rempel.
- Added patch to fix make octet mode as default. Fixes bug #45 & #1424.

* Wed Apr 20 2005 Hasher Jamaludeen <hasher at comodo dot com> 0.40-8tr
- Changing init priority

* Thu Apr 07 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.40-7tr
- Rebuilt against new readline

* Wed Mar 16 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.40-6tr
- Rebuilt against Official Glibc-2.3.4

* Thu Mar 10 2005 Erlend Midttun <erlendbm at trustix dot org> 0.40-5tr
- Rebuilt.

* Wed Nov 17 2004 Erlend Midttun <erlendbm at trustix dot org> 0.40-4tr
- Move postscript where it belongs.

* Fri Oct 22 2004 Erlend Midttun <erlendbm at trustix dot org> 0.40-1tr
- New upstream.

* Mon Aug 18 2003 Goetz Bock <bock at trustix dot org> 0.34-4bg
- tftpd-hpa is not designed for xinetd. It must be launched as root, 
  when running from xinetd. It will suid/chroot on it's own.
- rebuild for Cloud (aka Trustix 2.0) - Contrib

* Sun Jul  6 2003 Gerald Dachs <gda at trustix dot org> tftp-hpa-0.34-3gd
- added start scripts for deamon mode

* Sat Jun 28 2003 Goetz Bock <bock at trustix dot org> tftp-hpa-0.34-2bg
- added xinetd config file
- added checks for own user / group

* Sun May 25 2003 Goetz Bock <bock at trustix dot org> tftp-hpa-0.34-1bg
- new upstream: 0.34

* Sun May 19 2002 Goetz Bock <bock at blacknet dot de> tftp-hpa-0.29-1bn
- initialy packed for Trustix BlackNet Edition

